program fjf539a;

{$define x 'bar'}

var
  a: String (10) = 'OK'; asmname 'fred';
  b: String (10); asmname 'fr' 'ed'; external;

procedure qux; asmname 'fo' 'obar';

procedure foo; asmname 'foo' x;
procedure foo;
begin
  WriteLn (b)
end;

begin
  qux
end.
